/**
 * @param params 调用验证码接口的全部参数
 * @param btnId 获取验证码的button的id，默认为getCaptchaBtn，可为空
 */
function Captcha(data,btnId){
	this.timeLimit = 60;//短信验证码时间间隔
	this.time = this.timeLimit;//短信验证码计时变量
	this.btnId = btnId;
	this.data = data;
	if(!btnId)
		this.btnId = 'getCaptchaBtn';
}
//发送验证码
Captcha.prototype.getCaptcha = function(){
	var self = this;
	if (self.time == self.timeLimit) {
		self.sendMsg();
	}
	if ((self.time > 0 && self.time <= self.timeLimit)) {
		$("#" + self.btnId).val("等待" + self.time + "秒");
		$("#" + self.btnId).button("disable");
		$("#" + self.btnId).button("refresh");
		--self.time;
		setTimeout(function() {
			self.getCaptcha();
		}, 1000);
		return;
	} else {
		self.time = self.timeLimit;
		$("#" + self.btnId).val("获取验证码");
		$("#" + self.btnId).button("enable");
		$("#" + self.btnId).button("refresh");
	}
};
//立刻停止计时
Captcha.prototype.stopCount = function(){
	this.time = 0;
};
//调用后台短信发送接口
Captcha.prototype.sendMsg = function(){
	var self = this;
	ajax.postQuery({
		url : 'shortMessage/sendMsg.html',
		data : self.data,
		success : function(result){
			//1成功，0失败，-1key失效
			if(result.resultCode == 1){
				var obj = result.resultBody.queryList[0];
				if(obj.aae314==1){
					style.tip(obj.aae317, 2000, "info");
				}else{
					self.stopCount();
					style.tip(obj.aae317, 2000, "info");
				}
			}else if(result.resultCode == -1){
				style.tip("获取验证码失败，请尝试重新登录。", 2000, "error");
			}else{
				style.tip(result.resultMsg, 2000, "error");
			}
		}
	});
};
