function Map() {  
    this.elements = new Array();  
    //获取MAP元素个数  
    this.size = function() {  
        return this.elements.length;  
    };  
    //判断MAP是否为空  
    this.isEmpty = function() {  
        return (this.elements.length < 1);  
    };  
    //删除MAP所有元素  
    this.clear = function() {  
        this.elements = new Array();  
    };  
    //向MAP中增加元素（key, value)   
    this.put = function(_key, _value) {  
        this.elements.push( {  
            key : _key,  
            value : _value  
        });  
    };  
    //删除指定KEY的元素，成功返回True，失败返回False  
    this.remove = function(_key) {  
        var bln = false;  
        try {  
            for (i = 0; i < this.elements.length; i++) {  
                if (this.elements[i].key == _key) {  
                    this.elements.splice(i, 1);  
                    return true;  
                }  
            }  
        } catch (e) {  
            bln = false;  
        }  
        return bln;  
    };  
    //获取指定KEY的元素值VALUE，失败返回NULL  
    this.get = function(_key) {  
        try {  
            for (i = 0; i < this.elements.length; i++) {  
                if (this.elements[i].key == _key) {  
                    return this.elements[i].value;  
                }  
            }  
        } catch (e) {  
            return null;  
        }  
    };  
    //获取指定索引的元素（使用element.key，element.value获取KEY和VALUE），失败返回NULL  
    this.element = function(_index) {  
        if (_index < 0 || _index >= this.elements.length) {  
            return null;  
        }  
        return this.elements[_index];  
    };  
    //判断MAP中是否含有指定KEY的元素  
    this.containsKey = function(_key) {  
        var bln = false;  
        try {  
            for (i = 0; i < this.elements.length; i++) {  
                if (this.elements[i].key == _key) {  
                    bln = true;  
                }
               
            }  
        } catch (e) {  
            bln = false;  
        }  
        return bln;  
    };  
    //判断MAP中是否含有指定VALUE的元素  
    this.containsValue = function(_value) {  
        var bln = false;  
        try {  
            for (i = 0; i < this.elements.length; i++) {  
                if (this.elements[i].value == _value) {  
                    bln = true;  
                } 
          
            }  
        } catch (e) {  
            bln = false;  
        }  
        return bln;  
    };  
    //获取MAP中所有VALUE的数组（ARRAY）  
    this.values = function() {  
        var arr = new Array();  
        for (i = 0; i < this.elements.length; i++) {  
            arr.push(this.elements[i].value);  
        }  
        return arr;  
    };  
    //获取MAP中所有KEY的数组（ARRAY）  
    this.keys = function() {  
        var arr = new Array();  
        for (i = 0; i < this.elements.length; i++) {  
            arr.push(this.elements[i].key);  
        }  
        return arr;  
    };  
}  

function getMap(a){
	 var map = new Map();  
	 map.put("10", "企业");  
	 map.put("20", "事业");  
	 map.put("30", "机关");  
	 map.put("40", "社会团体"); 
	 map.put("50", "民办非企业单位"); 
	 map.put("60", "城镇个体工商户"); 
	 map.put("61", "城镇个体工商户-个体雇员"); 
	 map.put("70", "再就业服务中心"); 
	 map.put("73", "灵活就业人员单位"); 
	 map.put("77", "被征地农民"); 
	 map.put("79", "其它"); 
	 map.put("84", "大龄补贴单位"); 
	 map.put("90", "军转财政补助"); 
	 map.put("91", "失业代管单位");
	 map.put("99", "政府特批单位");
	 
	 map.put("900", "其它经济");  
	 map.put("174", "私营股份有限（公司）");  
	 map.put("175", "个体经营");  
	 map.put("179", "其他私有"); 
	 map.put("190", "其他内资"); 
	 map.put("200", "港、澳、台投资"); 
	 map.put("210", "内地和港、澳、台合资"); 
	 map.put("220", "内地和港、澳、台合作"); 
	 map.put("230", "港、澳、台独资"); 
	 map.put("240", "港、澳、台投资股份有限（公司）"); 
	 map.put("290", "其他港、澳、台投资"); 
	 map.put("300", "国外投资"); 
	 map.put("310", "中外合资"); 
	 map.put("320", "中外合作");
	 map.put("330", "外资");
	 map.put("340", "国外投资股份有限（公司）");  
	 map.put("390", "其他国外投资");  
	 map.put("100", "内资");  
	 map.put("110", "国有全资"); 
	 map.put("120", "集体全资"); 
	 map.put("130", "股份合作"); 
	 map.put("140", "联营"); 
	 map.put("141", "国有联营"); 
	 map.put("142", "集体联营"); 
	 map.put("143", "国有与集体联营"); 
	 map.put("149", "其他联营"); 
	 map.put("150", "有限责任（公司）"); 
	 map.put("151", "国有独资（公司）"); 
	 map.put("159", "其他有限责任（公司）");
	 map.put("160", "股份有限（公司）");
	 map.put("170", "私有");  
	 map.put("171", "私有独资");  
	 map.put("172", "私有合伙");  
	 map.put("710", "全额拨款（事业）"); 
	 map.put("712", "差额拨款（事业）"); 
	 map.put("713", "自收自支（事业）"); 
	 map.put("173", "私营有限责任（公司）"); 
	 
	 map.put("1", "中央"); 
	 map.put("2", "省"); 
	 map.put("3", "计划单列市"); 
	 map.put("4", "市、地区"); 
	 map.put("5", "县"); 
	 map.put("6", "乡镇"); 
	 map.put("7", "部队");
	 map.put("9", "其它");
	 
	 map.put("010000", "农、林、牧、渔业");  
	 map.put("020000", "采矿业");  
	 map.put("030000", "制造业");  
	 map.put("040000", "电力、燃气及水的生产和供应业"); 
	 map.put("050000", "建筑业"); 
	 map.put("060000", "交通运输、仓储和邮政业"); 
	 map.put("070000", "信息传输、计算机服务和软件业"); 
	 map.put("080000", "批发和零售业"); 
	 map.put("090000", "住宿和餐饮业"); 
	 map.put("100000", "金融业"); 
	 map.put("110000", "房地产业"); 
	 map.put("120000", "租赁和商务服务业"); 
	 map.put("130000", "科学研究、技术服务和地质勘查业"); 
	 map.put("140000", "水利、环境和公共设施管理业");
	 map.put("150000", "居民服务和其他服务业");
	 map.put("160000", "教育"); 
	 map.put("170000", "卫生、社会保障和社会福利业"); 
	 map.put("180000", "文化、体育和娱乐业"); 
	 map.put("190000", "公共管理和社会组织"); 
	 map.put("200000", "国际组织"); 
	 map.put("900000", "其他");
	
	 var val = map.get(a);  
	 if(val==undefined||val==""){
		 return "";
	 }
	 else{
	 return val;
	 }
	 	
}
